Broken links in incoming emails
Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.3

Description

With this configuration:

Administration > Settings > Host name and path > http://redmine.mydomain.com

 An e-mail link on the task is broken:

http://http//redmine.lovata.com/issues/1578#change-5433

 With this configuration:

Administration > Settings > Host name and path > redmine.mydomain.com

 Link comes without specifying the protocol:

redmine.lovata.com/issues/1578#change-5433

Related issues:

Related to Redmine - Patch #13763: Live check of hostname setting New

History

#1 - 2013-04-13 14:31 - Filou Centrinov

Try this in Redmine 2.3 and store your host without any protocol like this: redmine.mydomain.com

#2 - 2013-04-14 11:51 - Daniel Felix

- Status changed from New to Needs feedback

Hi,

@Filou: He already tested this with quote 3 and 4.

pavel ochman: This is not a Redmine related issue.

Here is the explanation:

1. Use Host name just for the domain itself, don't include the protocol.

2. Use the protocol pulldown for the definition of one of the supported protocols.

The error you encouter is a browser based error. I tried it myself.

1. Defining the domain + selecting a protocol (http)

Everything works as expected, but the browser won't display the http in the tooltip as this is it's default protocol. The HTML contain the http.

2. Defining the domain + selecting a protocol (https)

Everything works as expected. This time the https is displayed, as https won't be its default protocol. The code containts HTTPS.

3. Defining the domain with protol + selecting a protocol

This time your described error occurs. The code contains to time http://http://, but the browser will parse the second : in the tooltip. After clicking

on this link, the browser will behave like your described case.

Follow my instructions written above and this should be fixed. :-)

Can I close this issue, as everything is clarified?

Best regards,
https://www.redmine.org/users/11234
http://http://


Daniel

#3 - 2013-04-14 15:08 - Daniel Felix

Provided a small patch: #13763

#4 - 2013-04-14 20:18 - Pavel Lautsevich

Thank for your help Daniel! Yes, you can close this report.

#5 - 2013-04-14 20:50 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks for the fast feedback.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/13763
http://www.tcpdf.org

